Package org.duckdb

# Class DuckDBTime

java.lang.Object
org.duckdb.DuckDBTimestamp
org.duckdb.DuckDBTime

public class DuckDBTime extends DuckDBTimestamp

## Field Summary

### Fields inherited from class org.duckdb.DuckDBTimestamp

`timeMicros`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBTime(Time time)`
`DuckDBTime(LocalTime lt)`

## Method Summary

### Methods inherited from class org.duckdb.DuckDBTimestamp

`getMicroseconds, getMicrosEpoch, localDateTime2Micros, localDateTimeFromTimestamp, localDateTimeFromTimestampWithTimezone, toLocalDateTime, toOffsetDateTime, toOffsetTime, toSqlTimestamp, toString, valueOf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuckDBTime

public DuckDBTime(Time time)

### DuckDBTime

public DuckDBTime(LocalTime lt)